<?php
/**
 * CategoriesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * CategoriesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class CategoriesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for actualizeCategories
     *
     * Actualize all categories.
     *
     */
    public function testActualizeCategories()
    {
    }

    /**
     * Test case for bindCategoryProperties
     *
     * Запрос на изменение привязанных к категории атрибутов.
     *
     */
    public function testBindCategoryProperties()
    {
    }

    /**
     * Test case for createCategory
     *
     * Запрос на создание новой категории.
     *
     */
    public function testCreateCategory()
    {
    }

    /**
     * Test case for deleteCategories
     *
     * Массовое удаление категорий.
     *
     */
    public function testDeleteCategories()
    {
    }

    /**
     * Test case for deleteCategory
     *
     * Запрос на удаление категории.
     *
     */
    public function testDeleteCategory()
    {
    }

    /**
     * Test case for getCategoriesTree
     *
     * Формирование дерева категорий.
     *
     */
    public function testGetCategoriesTree()
    {
    }

    /**
     * Test case for getCategory
     *
     * Запрос категории по ID.
     *
     */
    public function testGetCategory()
    {
    }

    /**
     * Test case for patchCategory
     *
     * Запрос на обновление отдельных полей категории.
     *
     */
    public function testPatchCategory()
    {
    }

    /**
     * Test case for replaceCategory
     *
     * Запрос на обновление категории.
     *
     */
    public function testReplaceCategory()
    {
    }

    /**
     * Test case for searchActualCategoryProperties
     *
     * Search for objects of ActualCategoryProperty.
     *
     */
    public function testSearchActualCategoryProperties()
    {
    }

    /**
     * Test case for searchCategories
     *
     * Поиск категорий, удовлетворяющих фильтру.
     *
     */
    public function testSearchCategories()
    {
    }
}
